/*
 * Allgemeine Funktionen mit und ohne Datenverteilerbezug
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.sys.funclib.bitctrl.modell.verkehr.objekte;

import java.util.EventListener;

/**
 * Schnittstelle für einen Listener, der benachrichtigt wird, wenn ein Stau in
 * einem VerkehrsmodellNetz angelegt oder entfernt wurde.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public interface StauListener extends EventListener {
	/**
	 * ein neuer Stau wurde angelegt.
	 *
	 * @param netz
	 *            das Netz in dem der Stau angelegt wurde.
	 * @param stau
	 *            der Stau
	 */
	void stauAngelegt(VerkehrModellNetz netz, Stau stau);

	/**
	 * ein Stau wurde entfernt.
	 *
	 * @param netz
	 *            das Netz in dem die Baustelle angelegt wurde.
	 * @param stau
	 *            der Stau
	 */
	void stauEntfernt(VerkehrModellNetz netz, Stau stau);
}
